package com.kingdee.eas.custom.performancenew;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public interface IExamineGradePerson extends ICoreBillBase
{
    public ExamineGradePersonCollection getExamineGradePersonCollection() throws BOSException;
    public ExamineGradePersonCollection getExamineGradePersonCollection(EntityViewInfo view) throws BOSException;
    public ExamineGradePersonCollection getExamineGradePersonCollection(String oql) throws BOSException;
    public ExamineGradePersonInfo getExamineGradePersonInfo(IObjectPK pk) throws BOSException, EASBizException;
    public ExamineGradePersonInfo getExamineGradePersonInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException;
    public ExamineGradePersonInfo getExamineGradePersonInfo(String oql) throws BOSException, EASBizException;
    public void periodLock(String billId) throws BOSException, EASBizException;
    public void periodUnlock(String billId) throws BOSException, EASBizException;
    public void startOrder(String billId) throws BOSException;
    public void closeOrder(String entryId) throws BOSException;
}